//
// Created by jedi on 11/6/18.
//

#include "hal/hal.h"
#include "buttons.h"

namespace micromenu {

    buttons input;

    void buttons::poll() {
        hal_poll_input(raw);

        for (int i = 0; i < 4; i++) {
            if(raw[i] != last[i]) {
                onPush(static_cast<direction>(i), raw[i]);
                last[i] = raw[i];
            }
        }
    }
}