
#include <cstring>
#include "buttons.h"
#include "example.h"
#include "node.h"
#include "gfx/Canvas.h"

char peng[] = {' ', ' ', ' ', ' ', ' ', 0};

int j = 0;


void fooValue::render(canvas& c){

	for(int i = 0; i<c.getHeight(); i++)
		c.draw(0,i);


	c.print(10 , 10, title_);
	peng[0] = micromenu::input.raw[0] ? 'L' : ' ';
	peng[1] = micromenu::input.raw[1] ? 'R' : ' ';
	peng[2] = micromenu::input.raw[2] ? 'U' : ' ';
	peng[3] = micromenu::input.raw[3] ? 'D' : ' ';
	j++;
    j %= 10;
    peng[4] = 'A' + j;
	c.print(5 , 20, peng);
}

void blubValue::render(canvas& c){
	for(int i = 0; i<c.getHeight();i++)
		c.draw(0,i);

	c.print(3 , 15, title_);
}

void menu::render(canvas& c) {

	for (int i = 0; i < c.getHeight(); i++)
		c.draw(0, i);

	int r = 0;
	node *ptr = getChild();
	while (ptr) {
		if (ptr == getCursor()) {
			int len = strlen(ptr->title_);
			for(int i = 0; i < 6*len; i++){
				for(int j = 0; j < 7; j++) {
					c.draw(2+i, 1+7*r+j);
				}
			}
			c.print(3, 7 * r + 2, ptr->title_, true);
		} else {
			c.print(3, 7 * r + 2, ptr->title_);
		}
		ptr = ptr->getNext();
		r++;
	}
}
