//
// Created by jedi on 11/1/18.
//

#include "gfx/Screen.h"

namespace micromenu {

    Screen::Screen(int w, int h) noexcept: width_(w), height_(h) {
        hal_init_screen(w, h);
    }

    void Screen::draw(int x, int y, Canvas &c) {
        for (int x_ = 0; x_ < c.getWidth(); x_++)
            for (int y_ = 0; y_ < c.getHeight(); y_ += 8 * sizeof(int))
                hal_draw(x + x_, y + y_, c.buffer_.getBlock(x_ * c.getHeight() + y_));
    }


    void Screen::print(int x, int y, const char *str, Font &f) {
        //f.print(x, y, str);
    }

    void Screen::print(int x, int y, char *str, Font &f) {
        //f.print(x, y, str);
    }


}